Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTDParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--com.wutka.dtd.DTDParseException

All Implemented Interfaces:
  Serializable

public class DTDParseException
extends IOException

See Also:
  Serialized Form

Field Summary
`int` | `column`
`int` | `lineNumber`
`String` | `uriID`

Constructor Summary
`DTDParseException()`
`DTDParseException(String message)`
`DTDParseException(String message, int line, int col)`
`DTDParseException(String id, String message, int line, int col)`

Method Summary
`int` | `getColumn()`
`String` | `getId()`
`int` | `getLineNumber()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uriID

    public String uriID

### lineNumber

    public int lineNumber

### column

    public int column

Constructor Detail

### DTDParseException

    public DTDParseException()

### DTDParseException

    public DTDParseException(String message)

### DTDParseException

    public DTDParseException(String message,
                             int line,
                             int col)

### DTDParseException

    public DTDParseException(String id,
                             String message,
                             int line,
                             int col)

Method Detail

### getId

    public String getId()

### getLineNumber

    public int getLineNumber()

### getColumn

    public int getColumn()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD